Subject: Re: [Lwip] Minimal TLS (IKEv2)

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 18 Oct 2012 08:55:54 +0300

There is no relationship between the two drafts from a content point of view. Tero talks about IKEv2 and this document talks about TLS/DTLS. 

The issues that I raised do, however, concern both documents. 

Sent from my ASUS Pad

Zhen Cao <[email-masked]> wrote:

>Hi Hannes, 
>
>
>Thank you for this interesting draft.  I think energy aspect is also valuable to look into. 
>
>
>One question, what the relationship with the Tero's ikev2 draft? Ikev2 has certificate based authentication, what's the implication from your draft. 
>
>
>Best regards,
>
>Zhen
>
>
>On Tue, Oct 16, 2012 at 7:18 PM, Hannes Tschofenig <[email-masked]> wrote:
>
>Hi all,
>
>I have submitted a draft about minimal TLS in the spirit of the work that Tero was doing.
>Working on the document, which you can find at http://tools.ietf.org/html/draft-tschofenig-lwig-tls-minimal-00.html, I noticed the following issues:
>
>Just providing a writeup that illustrates how to implement a shared secret based ciphersuite is not sufficient. The reason is that in certain cases shared secret based variants do not meet the security requirements. Hence, when we look at more than just a single ciphersuite then the question arises where to stop looking at the various extensions. This is a scoping question.
>
>I don't think it makes sense to replicate the text from the original specification. The document cannot violate the original specification itself. It can only provide design tradeoffs.
>
>Ideally, to give engineers more guidance one would have to provide some code size indications. Of course specific numbers only serve as an indication/hint since the code size depends on the specific platform and the degree of optimization applied to the code.
>
>Finally, there is the question whether codesize is the only aspect to look at. What about memory requirements, bandwidth consumption, etc.?
>
>In a nutshell, to offer valuable guidance this could be a longer exercise. (I would like to work with a few others on this topic. Does not sound fun to do this alone. Maybe there even a chance to produce a lightweight TLS reference implementation or so.)
>
>I wonder what others think.
>
>Ciao
>Hannes
>
>_______________________________________________
>Lwip mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/lwip
>
>